# __gnu_cxx::debug_allocator< Alloc > Class Template Reference

A meta-allocator with debugging bits, as per [20.4]. More...

`#include <debug_allocator.h>`

List of all members.

## Detailed Description

### template<typename Alloc>
class __gnu_cxx::debug_allocator< Alloc >

A meta-allocator with debugging bits, as per [20.4].

This is precisely the allocator defined in the C++ Standard.

- all allocation calls operator new
- all deallocation calls operator delete

(See allocators info for more.)

Definition at line 65 of file debug_allocator.h.

The documentation for this class was generated from the following file:

- debug_allocator.h